#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
import pendulum

from . import create_session
from .model import t_logs as logs

session = create_session("SDM")


def since(time):
    query = logs.select().where(logs.c.timestamp > time).order_by("timestamp")
    return [dict(r) for r in session.execute(query)]


def for_request(request_id):
    query = (
        logs.select().where(logs.c.properties["requestId"].astext == str(request_id)).order_by("timestamp").limit(100)
    )
    return list(dict(r) for r in session.execute(query))


if __name__ == "__main__":
    print("since:")
    print(since(pendulum.now().subtract(hours=1)))
    print()
    print("for 13099859:")
    print(for_request(13099859))
