# Capability Versions

## What is a capability version?

A capability request, once created, can have one or more additional versions of the request
created via its request status page. As soon as a new version is created, the original
request is designated version 1; subsequent versions, if any, are then numbered sequentially.

## Restrictions on capability versions

Given that a capability request may contain two or more versions, rules governing
the disposition of capability request versions become necessary. These rules are
implemented as follows.

* **One of the versions has passed QA**
  * capability request state of passed version is set to *Complete*
  * every other version's state is set to *Failed*
  * no new versions may be created on this request


* **One of the versions has failed QA**
  * the version that has been failed has its state set to *Failed*


* **All the versions have failed QA**
  * each version has its state set to *Failed*
  * the capability request is set to *Failed*
