"""add qa notes to ingested notification

Revision ID: af714f622fcb
Revises: edf4886e1d9c
Create Date: 2021-12-07 13:24:35.872503

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "af714f622fcb"
down_revision = "edf4886e1d9c"
branch_labels = None
depends_on = None


template = """To: {{destination_email}}
Subject: NRAO Workspaces Request #{{request_id}} has been ingested


Dear User,

Thank you for using NRAO Workspaces.

Your {{capability_name}} request #{{request_id}} has successfully had its products ingested into the archive.

{{#qa}}
QA NOTES for request #{{request_id}}:
{{qa}}
{{/qa}}

Best regards,
NRAO Workspaces
"""

old_template = """To: {{destination_email}}
Subject: NRAO Workspaces Request #{{request_id}} has been ingested


Dear User,

Thank you for using NRAO Workspaces.

Your {{capability_name}} request #{{request_id}} has successfully had its products ingested into the archive.

Best regards,
NRAO Workspaces
"""


def upgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template = '{template}'
        WHERE name = 'ingested_email'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template = '{old_template}'
        WHERE name = 'ingested_email'
        """
    )
